RegistryIOException (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.registry.client.exceptions, class: RegistryIOException

Package org.apache.hadoop.registry.client.exceptions

# Class RegistryIOException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
org.apache.hadoop.fs.PathIOException
org.apache.hadoop.registry.client.exceptions.RegistryIOException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `InvalidPathnameException`, `InvalidRecordException`, `NoChildrenForEphemeralsException`, `NoRecordException`

@Public @Evolving public class RegistryIOException extends org.apache.hadoop.fs.PathIOException
Base exception for registry operations.

These exceptions include the path of the failing operation wherever possible; this can be retrieved via `PathIOException.getPath()`.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RegistryIOException(String path, String error)`
  `RegistryIOException(String path, String error, Throwable cause)`
  `RegistryIOException(String path, Throwable cause)`
  `RegistryIOException(String message, org.apache.hadoop.fs.PathIOException cause)`
  Build an exception from any other Path IO Exception.

- ## Method Summary

  ### Methods inherited from class org.apache.hadoop.fs.PathIOException

  `getMessage, getPath, getTargetPath, setOperation, setTargetPath, withFullyQualifiedPath`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RegistryIOException

    public RegistryIOException(String message, org.apache.hadoop.fs.PathIOException cause)
    Build an exception from any other Path IO Exception. This propagates the path of the original exception
    Parameters:
      `message` - more specific text
      `cause` - cause

  - ### RegistryIOException

    public RegistryIOException(String path, Throwable cause)

  - ### RegistryIOException

    public RegistryIOException(String path, String error)

  - ### RegistryIOException

    public RegistryIOException(String path, String error, Throwable cause)